# array_allocator.h File Reference

## Detailed Description

This file is a GNU extension to the Standard C++ Library.

Definition in file array_allocator.h.

Go to the source code of this file.

## Namespaces

- namespace __gnu_cxx

## Classes

- class __gnu_cxx::array_allocator< _Tp, _Array >
    An allocator that uses previously allocated memory. This memory can be externally, globally, or otherwise allocated. More...
- struct __gnu_cxx::array_allocator< _Tp, _Array >::rebind< _Tp1, _Array1 >
- class __gnu_cxx::array_allocator_base< _Tp >
    Base class. More...

## Defines

- #define _ARRAY_ALLOCATOR_H

## Functions

- template<typename _Tp, typename _Array> bool __gnu_cxx::operator!= (const array_allocator< _Tp, _Array > &, const array_allocator< _Tp, _Array > &)
- template<typename _Tp, typename _Array> bool __gnu_cxx::operator== (const array_allocator< _Tp, _Array > &, const array_allocator< _Tp, _Array > &)